Bug 301175 - Viewbib opens wrong path
Summary: Viewbib opens wrong path
Status: RESOLVED FIXED
Alias: None
Product: kile
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1.2
Platform: Fedora RPMs Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: Michel Ludwig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-04 20:39 UTC by naraesk
Modified: 2012-06-17 19:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description naraesk 2012-06-04 20:39:08 UTC
Hello,

I include my bib-file like this:
\bibliography{myTestFile}
The Path is reletaiv to the current document, of course.
When Clicking on viewbib it tries to open "myTestFile.bib"
That's the complete path, viewbib is not aware of the relative path for my bibfile.
The correct file to open would be /home/foobar/.../myTestFile.bib

Furthermore: viewbib doosn't seems to work together with \addbibresource, does it?


Reproducible: Always

Steps to Reproduce:
1. Add Bibliography
2. Click on viewbib
Actual Results:  
new empty bibfile is opened

Expected Results:  
My existing bibfile shoul'd be opened
Comment 1 Michel Ludwig 2012-06-17 19:01:14 UTC
Git commit 87e2d7ee8dce4b91edcda60bb87892b07e803886 by Michel Ludwig.
Committed on 17/06/2012 at 20:58.
Pushed by mludwig into branch '2.1'.

Call all the ViewBib tools with the full path to the bibliography file.

This ensures that all the ViewBib tools find the bibliography file (reported problem
with KBibTeX).

M  +6    -6    src/data/kilestdtools-win.rc
M  +6    -6    src/data/kilestdtools.rc

http://commits.kde.org/kile/87e2d7ee8dce4b91edcda60bb87892b07e803886
Comment 2 Michel Ludwig 2012-06-17 19:01:15 UTC
Git commit e7a32adffc46a17dc12c66614a7cdeff26c1f44b by Michel Ludwig.
Committed on 17/06/2012 at 20:58.
Pushed by mludwig into branch 'master'.

Call all the ViewBib tools with the full path to the bibliography file.

This ensures that all the ViewBib tools find the bibliography file (reported problem
with KBibTeX).

M  +6    -6    src/data/kilestdtools-win.rc
M  +6    -6    src/data/kilestdtools.rc

http://commits.kde.org/kile/e7a32adffc46a17dc12c66614a7cdeff26c1f44b